Package com.emc.documentum.rest.view.annotation

# Annotation Interface DataViewBinding

@Documented @Target(TYPE) @Retention(RUNTIME) public @interface DataViewBinding
An annotation used on a view class to bind the linkable or entryable view with query types and the model class. This annotation can only be used on the implementation class of `LinkableView` or `EntryableView`.

See Also:
  - `LinkableView`
  - `EntryableView`

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Class<? extends Linkable>`
  `modelType`
  Specifies the resource model class for the resource view annotated by this annotation.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Class<? extends AtomEntry>`
  `entryType`
  Specifies the atom entry class which is used for instantiating the entry within a `AtomFeed`.

- ## Element Details

  - ### modelType

    Class<? extends Linkable> modelType
    Specifies the resource model class for the resource view annotated by this annotation. The model type of this annotation binds a model class to a resource view. When a resource controller looks for a view for a specific model class, this binding info is used to find the corresponding view class. The view implementation class of LinkableView or EntryableView has a parameterized constructor which declares the model class type, e.g. {`LinkableView(com.emc.documentum.rest.model.Linkable, com.emc.documentum.rest.http.UriInfo, String, Boolean, java.util.Map)`} or `EntryableView(com.emc.documentum.rest.model.Linkable, com.emc.documentum.rest.http.UriInfo, String, Boolean, java.util.Map)`. The model class type in the constructor must be identical to the model class defined in the annotation.
    Returns:
      model class

- - ### entryType

    Class<? extends AtomEntry> entryType
    Specifies the atom entry class which is used for instantiating the entry within a `AtomFeed`. The default is `AtomEntry`. If the custom view defines a custom atom entry class for the model, sets the custom atom entry class here.
    Returns:
      entry class
    Default:
      com.emc.documentum.rest.model.AtomEntry.class